Bug 79166 - Deinstalling databases/mysql*-server kills all mysql servers in system's jails
Summary: Deinstalling databases/mysql*-server kills all mysql servers in system's jails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-23 18:50 UTC by sergey
Modified: 2005-04-11 10:34 UTC (History)
1 user (show)

See Also:


Attachments
mysql323-server.diff (404 bytes, patch)
2005-03-23 18:50 UTC, sergey
no flags Details | Diff
mysql41-server.diff (431 bytes, patch)
2005-03-23 18:50 UTC, sergey
no flags Details | Diff
file.diff (512 bytes, patch)
2005-03-23 18:50 UTC, sergey
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sergey 2005-03-23 18:50:02 UTC
	Deinstallation of one of mysql*-server ports causes killing of all mysqld 
	instances in all system's jails.
	It occurs because of '@unexec killall mysqld' command in port plist.

Fix: diff -ruN mysql40-server.orig/pkg-plist mysql40-server/pkg-plist
--- mysql40-server.orig/pkg-plist	Mon Mar 14 12:52:45 2005
+++ mysql40-server/pkg-plist	Wed Mar 23 19:56:40 2005
@@ -135,4 +135,4 @@
 @dirrm %%DATADIR%%/swedish
 @dirrm %%DATADIR%%/ukrainian
 @dirrm %%DATADIR%%
-@unexec /usr/bin/killall mysqld > /dev/null 2>&1 || true
+@unexec %D/etc/rc.d/mysql-server.sh stop > /dev/null 2>&1 || true
--- mysql40-server.diff ends here ---
How-To-Repeat: 
	1. Run mysql server on jail and master
	2. Try deinstall mysql-server on master
	3. Wait for jail users start to complain :)
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-03-25 22:21:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer.
Comment 2 Alex Dupre freebsd_committer 2005-04-11 10:34:07 UTC
State Changed
From-To: open->closed

Committed, thanks!